Class | Sequel::ADO::Dataset
In: | lib/sequel/adapters/ado.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows provides_accurate_rows_matched?

### Constants

DatasetClass | = | self

### Public Instance methods

fetch_rows(sql) {|row| ...}

[Source]

         # File lib/sequel/adapters/ado.rb, line 106
    106:       def fetch_rows(sql)
    107:         execute(sql) do |s|
    108:           columns = cols = s.Fields.extend(Enumerable).map{|column| output_identifier(column.Name)}
    109:           if opts[:offset] && offset_returns_row_number_column?
    110:             rn = row_number_column
    111:             columns = columns.dup
    112:             columns.delete(rn)
    113:           end
    114:           @columns = columns
    115:           s.getRows.transpose.each do |r|
    116:             row = {}
    117:             cols.each{|c| row[c] = r.shift}
    118:             row.delete(rn) if rn
    119:             yield row
    120:           end unless s.eof
    121:         end
    122:       end

provides_accurate_rows_matched?()

ADO returns nil for all for delete and update statements.

[Source]

         # File lib/sequel/adapters/ado.rb, line 125
    125:       def provides_accurate_rows_matched?
    126:         false
    127:       end

[Validate]